Bug Hunting Session
Bug 94249 - EDITING: Calc sort crashes
Summary: EDITING: Calc sort crashes
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.4.3 release
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:5.1.0 target:4.4.6 target:5.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-15 17:04 UTC by John Faucett
Modified: 2016-10-25 19:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Crashes on sort (15.41 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-09-15 17:04 UTC, John Faucett
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Faucett 2015-09-15 17:04:57 UTC
Created attachment 118752 [details]
Crashes on sort

When sorting on a column that is not the first column and there are formulas in many cells referring to other cells, Calc crashes.  The attached spreadsheet has the problem.  To reproduce, select A5:F15, Sort on column Frac.
Comment 1 raal 2015-09-16 05:06:51 UTC
No crash with Version: 5.1.0.0.alpha1+
Build ID: dd0ceb50c2d95ac0587db2c983ac58f2e3b13028
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-09-09_04:41:21
Comment 2 Eike Rathke 2015-09-16 09:56:41 UTC
Reproduced in master dbgutil build, taking.
Comment 3 Commit Notification 2015-09-16 10:45:52 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e4a8ae0bf54476e9a0c9e1f5348c05f3cd838899

Resolves: tdf#94249 do not remove broadcasters while iterators are in use

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Eike Rathke 2015-09-16 11:44:05 UTC
Pending review
https://gerrit.libreoffice.org/18615 for 5-0
https://gerrit.libreoffice.org/18618 for 4-4
https://gerrit.libreoffice.org/18619 for 5-0-2
Comment 5 Commit Notification 2015-09-17 08:06:43 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a3014b097242a3647458ba4a6bc61facf5a9a3f0&h=libreoffice-4-4

Resolves: tdf#94249 do not remove broadcasters while iterators are in use

It will be available in 4.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-09-17 08:06:49 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d1d44378374f63f7b187e5e359ab0ab7f7b4d7fb&h=libreoffice-5-0

Resolves: tdf#94249 do not remove broadcasters while iterators are in use

It will be available in 5.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-09-17 08:09:34 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d4ecc08a365680aef2942681c5210b6d4aa1d749&h=libreoffice-5-0-2

Resolves: tdf#94249 do not remove broadcasters while iterators are in use

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.